# DaprProtos.InvokeBindingRequest.Builder (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.v1, class: DaprProtos, class: InvokeBindingRequest, class: Builder

Package io.dapr.v1

# Class DaprProtos.InvokeBindingRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>
io.dapr.v1.DaprProtos.InvokeBindingRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.InvokeBindingRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.InvokeBindingRequest

public static final class DaprProtos.InvokeBindingRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder> implements DaprProtos.InvokeBindingRequestOrBuilder

     InvokeBindingRequest is the message to send data to output bindings

Protobuf type `dapr.proto.runtime.v1.InvokeBindingRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.InvokeBindingRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.InvokeBindingRequest`
`build()`
`DaprProtos.InvokeBindingRequest`
`buildPartial()`
`DaprProtos.InvokeBindingRequest.Builder`
`clear()`
`DaprProtos.InvokeBindingRequest.Builder`
`clearData()`
The data which will be sent to output binding.
`DaprProtos.InvokeBindingRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.InvokeBindingRequest.Builder`
`clearMetadata()`
`DaprProtos.InvokeBindingRequest.Builder`
`clearName()`
The name of the output binding to invoke.
`DaprProtos.InvokeBindingRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.InvokeBindingRequest.Builder`
`clearOperation()`
The name of the operation type for the binding to invoke
`DaprProtos.InvokeBindingRequest.Builder`
`clone()`
`boolean`
`containsMetadata(String key)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`com.google.protobuf.ByteString`
`getData()`
The data which will be sent to output binding.
`DaprProtos.InvokeBindingRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`Map<String,String>`
`getMetadataMap()`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`String`
`getMetadataOrThrow(String key)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`Map<String,String>`
`getMutableMetadata()`
Deprecated.
`String`
`getName()`
The name of the output binding to invoke.
`com.google.protobuf.ByteString`
`getNameBytes()`
The name of the output binding to invoke.
`String`
`getOperation()`
The name of the operation type for the binding to invoke
`com.google.protobuf.ByteString`
`getOperationBytes()`
The name of the operation type for the binding to invoke
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMapFieldReflection(int number)`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMutableMapFieldReflection(int number)`
`final boolean`
`isInitialized()`
`DaprProtos.InvokeBindingRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.InvokeBindingRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.InvokeBindingRequest.Builder`
`mergeFrom(DaprProtos.InvokeBindingRequest other)`
`final DaprProtos.InvokeBindingRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.InvokeBindingRequest.Builder`
`putAllMetadata(Map<String,String> values)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`DaprProtos.InvokeBindingRequest.Builder`
`putMetadata(String key, String value)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`DaprProtos.InvokeBindingRequest.Builder`
`removeMetadata(String key)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`DaprProtos.InvokeBindingRequest.Builder`
`setData(com.google.protobuf.ByteString value)`
The data which will be sent to output binding.
`DaprProtos.InvokeBindingRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.InvokeBindingRequest.Builder`
`setName(String value)`
The name of the output binding to invoke.
`DaprProtos.InvokeBindingRequest.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
The name of the output binding to invoke.
`DaprProtos.InvokeBindingRequest.Builder`
`setOperation(String value)`
The name of the operation type for the binding to invoke
`DaprProtos.InvokeBindingRequest.Builder`
`setOperationBytes(com.google.protobuf.ByteString value)`
The name of the operation type for the binding to invoke
`DaprProtos.InvokeBindingRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprProtos.InvokeBindingRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### internalGetMutableMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)

Overrides:
  `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### clear

public DaprProtos.InvokeBindingRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.InvokeBindingRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.InvokeBindingRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.InvokeBindingRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.InvokeBindingRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### setField

public DaprProtos.InvokeBindingRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### clearField

public DaprProtos.InvokeBindingRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### clearOneof

public DaprProtos.InvokeBindingRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### setRepeatedField

public DaprProtos.InvokeBindingRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### addRepeatedField

public DaprProtos.InvokeBindingRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### mergeFrom

public DaprProtos.InvokeBindingRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### mergeFrom

public DaprProtos.InvokeBindingRequest.Builder mergeFrom(DaprProtos.InvokeBindingRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### mergeFrom

public DaprProtos.InvokeBindingRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.InvokeBindingRequest.Builder>`
Throws:
  `IOException`

### getName

public String getName()

     The name of the output binding to invoke.

`string name = 1;`

Specified by:
  `getName` in interface `DaprProtos.InvokeBindingRequestOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()

     The name of the output binding to invoke.

`string name = 1;`

Specified by:
  `getNameBytes` in interface `DaprProtos.InvokeBindingRequestOrBuilder`
Returns:
  The bytes for name.

### setName

public DaprProtos.InvokeBindingRequest.Builder setName(String value)

     The name of the output binding to invoke.

`string name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DaprProtos.InvokeBindingRequest.Builder clearName()

     The name of the output binding to invoke.

`string name = 1;`

Returns:
  This builder for chaining.

### setNameBytes

public DaprProtos.InvokeBindingRequest.Builder setNameBytes(com.google.protobuf.ByteString value)

     The name of the output binding to invoke.

`string name = 1;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getData

public com.google.protobuf.ByteString getData()

     The data which will be sent to output binding.

`bytes data = 2;`

Specified by:
  `getData` in interface `DaprProtos.InvokeBindingRequestOrBuilder`
Returns:
  The data.

### setData

public DaprProtos.InvokeBindingRequest.Builder setData(com.google.protobuf.ByteString value)

     The data which will be sent to output binding.

`bytes data = 2;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public DaprProtos.InvokeBindingRequest.Builder clearData()

     The data which will be sent to output binding.

`bytes data = 2;`

Returns:
  This builder for chaining.

### getMetadataCount

public int getMetadataCount()
Description copied from interface: `DaprProtos.InvokeBindingRequestOrBuilder`

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.
     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.InvokeBindingRequestOrBuilder`

### containsMetadata

public boolean containsMetadata(String key)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.
     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

Specified by:
  `containsMetadata` in interface `DaprProtos.InvokeBindingRequestOrBuilder`

### getMetadata

@Deprecated public Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.InvokeBindingRequestOrBuilder`

### getMetadataMap

public Map<String,String> getMetadataMap()

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.
     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.InvokeBindingRequestOrBuilder`

### getMetadataOrDefault

public String getMetadataOrDefault(String key, String defaultValue)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.
     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.InvokeBindingRequestOrBuilder`

### getMetadataOrThrow

public String getMetadataOrThrow(String key)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.
     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.InvokeBindingRequestOrBuilder`

### clearMetadata

public DaprProtos.InvokeBindingRequest.Builder clearMetadata()

### removeMetadata

public DaprProtos.InvokeBindingRequest.Builder removeMetadata(String key)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.
     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

### getMutableMetadata

@Deprecated public Map<String,String> getMutableMetadata()
Deprecated.
Use alternate mutation accessors instead.

### putMetadata

public DaprProtos.InvokeBindingRequest.Builder putMetadata(String key, String value)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.
     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

### putAllMetadata

public DaprProtos.InvokeBindingRequest.Builder putAllMetadata(Map<String,String> values)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.
     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

### getOperation

public String getOperation()

     The name of the operation type for the binding to invoke

`string operation = 4;`

Specified by:
  `getOperation` in interface `DaprProtos.InvokeBindingRequestOrBuilder`
Returns:
  The operation.

### getOperationBytes

public com.google.protobuf.ByteString getOperationBytes()

     The name of the operation type for the binding to invoke

`string operation = 4;`

Specified by:
  `getOperationBytes` in interface `DaprProtos.InvokeBindingRequestOrBuilder`
Returns:
  The bytes for operation.

### setOperation

public DaprProtos.InvokeBindingRequest.Builder setOperation(String value)

     The name of the operation type for the binding to invoke

`string operation = 4;`

Parameters:
  `value` - The operation to set.
Returns:
  This builder for chaining.

### clearOperation

public DaprProtos.InvokeBindingRequest.Builder clearOperation()

     The name of the operation type for the binding to invoke

`string operation = 4;`

Returns:
  This builder for chaining.

### setOperationBytes

public DaprProtos.InvokeBindingRequest.Builder setOperationBytes(com.google.protobuf.ByteString value)

     The name of the operation type for the binding to invoke

`string operation = 4;`

Parameters:
  `value` - The bytes for operation to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.InvokeBindingRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.InvokeBindingRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeBindingRequest.Builder>`